<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".view.fragment.setting.mqttparameter">
    <RelativeLayout
        android:layout_centerInParent="true"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">
        <TableLayout
            android:layout_gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <!-- Table1-->
            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="5dp">
                <TextView
                    android:layout_width="50dp"
                    android:gravity="right"
                    android:layout_marginRight="15dp"
                    android:text="用户名:"
                    android:textColor="@color/white"
                    android:textStyle="bold"/>
                <EditText
                    android:id="@+id/passwayText_1"
                    android:minWidth="60dp"
                    android:layout_width="180dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="15dp"
                    android:text="0"
                    android:theme="@style/MyEditText_num"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:backgroundTint="@color/colorAccent"/>
                <TextView
                    android:layout_width="50dp"
                    android:gravity="right"
                    android:layout_marginRight="15dp"
                    android:text="密码:"
                    android:textColor="@color/white"
                    android:textStyle="bold"/>
                <EditText
                    android:id="@+id/passwayText_2"
                    android:layout_width="250dp"
                    android:layout_height="wrap_content"
                    android:minWidth="60dp"
                    android:text="0"
                    android:layout_marginRight="15dp"
                    android:theme="@style/MyEditText_num"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:backgroundTint="@color/colorAccent"/>
            </TableRow>

            <!-- Table2-->
            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="5dp">
                <TextView
                    android:layout_width="50dp"
                    android:gravity="right"
                    android:layout_marginRight="15dp"
                    android:text="IP地址:"
                    android:textColor="@color/white"
                    android:textStyle="bold"/>
                <EditText
                    android:id="@+id/passwayText_3"
                    android:minWidth="60dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:theme="@style/MyEditText_num"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:layout_marginRight="15dp"
                    android:text="0"
                    android:textColor="@color/white"
                    android:backgroundTint="@color/colorAccent"/>
                <TextView
                    android:layout_width="50dp"
                    android:gravity="right"
                    android:layout_marginRight="15dp"
                    android:text="端口:"
                    android:textColor="@color/white"
                    android:textStyle="bold"/>
                <EditText
                    android:id="@+id/passwayText_4"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:theme="@style/MyEditText_num"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:minWidth="60dp"
                    android:text="0"
                    android:layout_marginRight="15dp"
                    android:inputType="number|numberDecimal"
                    android:textColor="@color/white"
                    android:backgroundTint="@color/colorAccent"/>
            </TableRow>

            <!-- Table6-->
            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="5dp">
                <TextView
                    android:layout_width="150dp"
                    android:gravity="right"
                    android:layout_marginRight="15dp"
                    android:text="订阅主题:"
                    android:textColor="@color/white"
                    android:textStyle="bold"/>
                <EditText
                    android:id="@+id/passwayText_5"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:theme="@style/MyEditText_num"
                    android:minWidth="60dp"
                    android:text="0"
                    android:layout_marginRight="15dp"
                    android:textColor="@color/white"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:layout_weight="2"
                    android:backgroundTint="@color/colorAccent"/>
            </TableRow>

            <!-- Table3-->
            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="5dp">
                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="2">
                    <Button
                        android:id="@+id/StartButton"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="5dp"
                        android:layout_width="90dp"
                        android:layout_height="90dp"
                        android:layout_gravity="center"
                        android:layout_centerInParent="true"
                        android:background="@drawable/bt_circular"
                        android:textColor="@color/white"
                        android:text="保存参数"
                        android:textSize="16dp"/>
                </RelativeLayout>

            </TableRow>

        </TableLayout>
    </RelativeLayout>
</RelativeLayout>